function example_1d()
% illustrates the use of interpolation_1d.m

% CwBS-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see TermsOfUse for details

% degree n, number of intervals H, evaluation points per interval M
n = 3; H = 16; M = 4;

% function to be interpolated
fct = @(x) exp(x).*sin(3*pi*x)

% interpolation 
[Ux,x] = interpolation_1d(H,n,fct,M);

% plot and error
xF = [1/2:H]/H;
plot(x,Ux,xF,fct(xF),'o');
errMAX = norm(Ux(:)-fct(x),inf)/norm(fct(x),inf)

